/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
          		  transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
          		  eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
          		  //Total de inputs       
                  TotalInput = 2;
                  //Para filtrar se pueden usar las siguientes variables:
                  /* 
          		'int'= [0-9] //números enteros 
          		'num' =[0-9.]  //números y punto
          		'alphanum' =[a-z0-9_] 
          		'alpha'=[a-zA-z_ ]//caracteres mayúscula, minúscula y espacio
          		'alphalower'=[a-z_ ]  //caracteres en minúsculas y números
          		'alphaupper'=[A-Z_ ]  //caracteres en mayúscula y números
          		'alphanumupper'=[a-zA-Z0-9_]  //caracteres en minúsculas, mayúsculas y números
          		'alphanumspacelower'= [a-z0-9_ ]  //caracteres en minúsculas, números y espacio
          		'alphanumspace'= [a-z0-9_ ] //caracteres en minúsculas, espacio y números
          		'alphanumspacelower' =[a-z0-9_ ]		
          		'all'=[a-zA-Z0-9_°!"#$%&/()=?¡¨*;:_-.,}{´+¿`^[]{}@ ] //POR DEFECTO ESTÁN HABILITADOS TODOS LOS CARACTERES 
          		*/
          
                  filtrar='num';
                  sym.setVariable("border", "2px double #cccccc");
          			sym.setVariable("fondo", "rgba(255,255,255,0.50)");
          			sym.setVariable("colorini", "#666666");
          			sym.setVariable("colorok", "#666666");
          			sym.setVariable("fondook","rgba(169,194,88,0.80)");
          			sym.setVariable("colorbad", "#ffffff");
          			sym.setVariable("fondobad", "#f3716c");
          			sym.setVariable("fontsize", "26px");
          			sym.setVariable("fontFamily", "Cabin");
          			sym.setVariable("fontStyle", "normal");
          			sym.setVariable("fontweight", "bold");
          			sym.setVariable("height", "auto");
          			sym.setVariable("border-radius", "5px");
          
          			//RESPUESTAS -- CAMBIAR VALORES
                  sym.setVariable("Respuesta_1", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_2", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_3", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_4", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_5", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_6", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_7", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_8", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'scena'
   (function(symbolName) {   
   
   })("scena");
   //Edge symbol end:'scena'

})(jQuery, AdobeEdge, "EDGE-94063035");
 